### Method

# Gtk Printerlist_papers

#### Declaration [src]

    GList*
    gtk_printer_list_papers (
      GtkPrinter* printer
    )

#### Description [src]

Lists all the paper sizes `printer` supports.

This will return and empty list unless the printer’s details are available, see `gtk_printer_has_details()` and `gtk_printer_request_details()`.

#### Return value

Type: A list of `GtkPageSetup*`

A newly allocated list of newly allocated `GtkPageSetup`s.

The caller of the method takes ownership of the data, and is responsible for freeing it.